[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItem.Destroy

Destructor for the class instance.

## Declaration

Source position: comctrls.pp line 1064

`public destructor TListItem.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance.

Destroy sets the internal flag that marks the list item for destruction in the Owner. When the Owner is assigned, its ItemDestroying method is called to signal destruction of the list item in the container.

Destroy free and Nils resources allocated for the SubItems property, and calls the inherited destructor prior to exit.

## See also

TListItem.SubItems |  | Contains text displayed as additional columns on the list view control.
TPersistent.Destroy